const path = require('path');

function resolve (dir) {
	return path.join(__dirname, '/', dir);
}

module.exports = {

	resolve:{

		/* 定义别名简化使用方案 */
		alias:{
			$controls: resolve('src/control/'),
			$utils: resolve('src/utils/'),
			$mixins: resolve('src/mixins/'),
			$config: resolve('src/config/'),
			$components: resolve('src/components/'),
			$pages: resolve('src/pages/'),
			$layout: resolve('src/layout/'),
			$assets: resolve('src/assets/'),
			$views: resolve('src/views/'),
			$popup: resolve('src/popup/'),
			$const: resolve('src/const/')
		},

	}


};
